---
title: "Get a specific Service User."
slug: "get-a-specific-service-user-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/get-a-specific-service-user-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific Service User.

Get/service-users/{id}

Get a specific Service User.

SecurityHTTPType bearer

Path parametersidstring (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425

Responses200

Single Service User.

<select class='api-response-data' aria-label='Media type'><option value='ddc46c21-fc6d-415f-a535-47eedfeac83a'>application/json</option>
</select>Expand Allobject  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
createdstring  (date-time)    

Create date.

updatedstring  (date-time)    

Last update date.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
labelsobject  

Labels of the service. Will be used as claim.

property*string    additionalProperties

disabledboolean    

If true, the user will not be able to login.

failedLoginAttemptsnumber    

Number of wrong password login attempts since last successiful login.

Example0.0
lockStartstring  (date-time)    

The date time when the user got locked out. A service user is locked out of the system after X amount of consecutive failed login attempts, where X is configurable in the service Identity Provider. The lock is in effect for Y minute(s), where Y is configurable in the service Identity Provider. When the user logs in successfully, this field becomes null.

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='da1832c8-9d13-4c31-9a1d-77b503425052'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='7ce2be4f-e9e9-4aed-9e95-dfc99d85c6d4'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

404

The requested resource can not be found.

<select class='api-response-data' aria-label='Media type'><option value='12ab5b37-36c5-4760-8927-a8878372eb4f'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='a21ccad1-c9d2-4e58-a76d-7a4cde420303'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='5349bf80-e017-4f3a-9da0-e8bd76a7df43'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
